Public Class Form1

    'the filename is the location of the file the app will play
    Dim FileName As String

    'this will store our return value from the mciSendString function
    Dim ReturnValue As Integer

    'this will store the data returned from the lpstrReturnString parameter.
    'it will have a 128 character buffer
    Dim ReturnData As String = Space(128)

    'this will store our return string from the mciGetErrorString function.
    'it will have a 128 character buffer
    Dim Status As String = Space(128)

    'a boolean is a true or false statement. we will get true if
    'our mciGetErrorString successfully determines the string it
    'recieves from the mciSendString function
    Dim Success As Boolean

    'these 2 functions use .dll's that should be on evey windows running pc
    Private Declare Function mciSendString Lib "winmm.dll" Alias _
    "mciSendStringA" (ByVal lpstrCommand As String, ByVal _
            lpstrReturnString As String, ByVal uReturnLength As Integer, _
                ByVal hwndCallback As Integer) As Integer

    Private Declare Function mciGetErrorString Lib "winmm.dll" Alias _
        "mciGetErrorStringA" (ByVal dwError As Integer, ByVal lpstrBuffer _
            As String, ByVal uLength As Integer) As Integer

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        ReturnValue = mciSendString("open " & FileName & " type mpegvideo alias oursong", 0, 0, 0)

        ReturnValue = mciSendString("play oursong", 0, 0, 0)

        Success = mciGetErrorString(ReturnValue, Status, 128)

        TextBox2.Text = Status

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click

        ReturnValue = mciSendString("close oursong", 0, 0, 0)

        Success = mciGetErrorString(ReturnValue, Status, 128)

        TextBox2.Text = Status

    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click

        ReturnValue = mciSendString("pause oursong", 0, 0, 0)

        Success = mciGetErrorString(ReturnValue, Status, 128)

        TextBox2.Text = Status

    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click

        'if the user presses cancel on the dialog then...
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.Cancel Then

            '...exit the sub
            Exit Sub

        Else

            'else change textbox1's text to the filename
            TextBox1.Text = OpenFileDialog1.FileName

        End If


    End Sub

    Private Sub TextBox1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBox1.TextChanged

        'when textbox1's text changes, the filename must be fixed again
        FileName = Chr(34) & TextBox1.Text & Chr(34)

    End Sub
End Class
